
function game()
{
 MapEngine("sand.rmp", 60); 
} 

function Delay(milliseconds)
{
 var time=GetTime();
 for(var loop=time;loop<time+milliseconds;loop++);
 {
 }
}

function Doodad(name,filename,x,y,layer,direction,frame,destroy)
{
 CreatePerson(name,filename,destroy);
 SetPersonX(name,x);
 SetPersonY(name,y);
 SetPersonLayer(name,layer);
 SetPersonDirection(name,direction);
 SetPersonFrame(name,frame);
} 


var font=LoadFont("font.rfn");
var window=LoadWindowStyle("window.rws");
var portrait=LoadImage("p-jahn.png");

function TextBox(msg)
{
 var clr=CreateColor(64, 64, 64, 128);
 
 var done=false;
 var d=500; 
 var size=0;
 var w=640, h=128;
 var t=GetTime();
 var p=0;
 var txt=WrapText(msg, 492);
 var lin=0, pos=0, offset=0;
 var tm=GetTime();

 
 while(!done)
 {
 // Rectangle(0,0, 640, 480, CreateColor(0,0,255));
  RenderMap();
  font.drawText(0,0, lin);
  font.drawText(0,20, pos);

  if ((GetTime()-t)<d) //expanding
  { 
   window.drawWindow(320-((w-16)/2*((GetTime()-t)/d)), 256+(h/2*((GetTime()-t)/d)), w*((GetTime()-t)/d), h*((GetTime()-t)/d), clr);

  }

  else //expanded, "normal" textbox
  {
   if(!p)
   {
    p=1;
    tm=GetTime();

   }
   window.drawWindow(16, 320, w-32, h, clr); 
//   Rectangle(20, 320, 125, 125, CreateColor(255, 0,0, 128));
   portrait.blit(20, 320);
   while(GetTime()>tm)
   {
    tm+=25;
    if(lin<3)
    {
     pos++;
     if(pos >= txt.WrappedLines[lin+offset].length)
     {
      pos=0; 
      lin++;
     }
    }  
   }

   for(var i=offset; i<3+offset; i++)
   {
    if(i<lin+offset) 
    {
     font.drawText(150, 322+(font.getHeight()*(i-offset)), txt.WrappedLines[i]);
    }
    else
    {
     if(i==lin+offset)
     {
      font.drawText(150, 322+(font.getHeight()*(i-offset)), txt.WrappedLines[i].substr(0, pos));
     }
    } 
   }
  } 

  FlipScreen();
 
  while (AreKeysLeft()) 
  {  
   switch (GetKey()) 
   {
    case KEY_ESCAPE:
    {
     done=true;
     break;
    }
    case KEY_ENTER:
    {
     if(lin==3)
     {
      if(offset+3<txt.LineCount) { offset+=3; lin=0; }
      else done=true;
     }
     break;
    }
    
   }
  }
 
 }
 t=GetTime();
 while(GetTime()-t<d) //close
 {
  //Rectangle(0,0, 640, 480, CreateColor(0,0,255));  
  RenderMap();
  window.drawWindow(320-((w-16)/2*(1-((GetTime()-t)/d))), 256+(h/2*((1-(GetTime()-t)/d))), w*(1-((GetTime()-t)/d)), h*(1-((GetTime()-t)/d)), clr);
  FlipScreen();
 }
}

function WrapText(say, WrapPixels) //pass it a string and number of pixels to wrap to, and it returns with a text object.
{
 var T = new Object();
 T.WrappedLines=new Array(255);
 for(var i=0; i<255; i++) T.WrappedLines[i]="";
 T.LineCount=0;
 T.LongestLine=0;
 var c=0; //current "start" location.
 var p=0; //current character being looked at.
 var base=0; 
 var l=say.length;
 var done=false;
 //do the wordwrapping.
 while(!done)  
 {
  if(p==l) 
  { 
   T.WrappedLines[T.LineCount]=say.substring(c, p); 
   T.LineCount++;
   done=true; 
  }
  
  else 
  {
   if(font.getStringWidth(say.substring(c, p))>=WrapPixels)
   {
    while(say.substr(p-1, 1)!=" ") p--;
    T.WrappedLines[T.LineCount]=say.substring(c, p);
    T.LineCount++;
    c=p;
   }
  }
  p++;
 }

 // calc longest line
 /*
 T.LongestLine=0;
 for (var i=0; i<T.LineCount; i++)
 {
  z=T.WrappedLines[i].length;
  if (z>T.WrappedLines[LongestLine].length)
   T.LongestLine=z;
 }
 */
 return T; //returns the wrapped text object.
}