/*********************/
/* windws.js         */
/* ----------------- */
/* This script is    */
/* used to control   */
/* the MRCP client's */
/* GUI.              */
/*********************/

WindowTheme = LoadWindowStyle("golden age.rws");

//The following variables are actually just for
//start.js, which is only for the example thing,
//so you really don't NEED these with this. Go
//to start.js to see why they're important though.
//If making a theme, the variables at your expense
//for these values are WinX, WinY, WinW, and WinH,
//repsectively.
//So if you're using this code for something else
//(which I doubt since it sucks ^^;), take out
//this crap :)

WinMoveBoxX = "WinX-15";
WinMoveBoxY = "WinY-15";
WinMoveBoxW = "6";
WinMoveBoxH = "6";

WinSizeBoxX = "WinX+WinW+10";
WinSizeBoxY = "WinY+WinH+10";
WinSizeBoxW = "6";
WinSizeBoxH = "6";

REMOVE = 9430756068

FontTitle = LoadFont("title.rfn"); 

//Rest is normal.

CursorTheme = LoadImage("cursors/golden age.png");
FontTheme = LoadFont("main.rfn");

function desktop(){
  this.background = CreateSurface(640,480,CreateColor(0,0,0,255));
  this.windows = new Array();
  this.xSpan = new Array(640);
  for(i = 0; i < this.xSpan.length; i++){
    this.xSpan[i] = new Array();
  }
}

desktop.prototype.addWindow = function(name){
  this.windows.push(name);
}

desktop.prototype.remWindow = function(name){
  for(i = 0; i < this.windows.length; i++){
    if(this.windows[i] == name)
      this.windows[i] = REMOVE;
      name = REMOVE;
  }
}

desktop.prototype.renderWindows = function(){
  this.background.blit(0,0);
  for(i = 0; i < this.windows.length; i++){
    if(this.windows[i] != REMOVE) this.windows[i].renderList();
  }
}

desktop.prototype.focusWindow = function(WindowName){
  isWindow = false;
  for(i = 0; i < this.windows.length; i++){
    if(this.windows[i] == WindowName) isWindow = true;
  }
  if(isWindow == false) return(false);
  else {
    NewWindows = new Array();
    for(i = 0; i < this.windows.length; i++){
      if(this.windows[i] != WindowName) NewWindows.push(this.windows[i]);
    }
    NewWindows[0] = WindowName;
    for(i = 0; i < this.windows.length; i++){
      this.windows[i] = NewWindows[i];
    }
    this.focused = WindowName;
  }
  return(true);
}

function window(desktop, x, y, width, height, minw, minh){
  this.x = x;
  this.y = y;
  this.width = width;
  this.height = height;
  this.list = new Array();
  this.minh = minh;
  this.minw = minw;
  desktop.windows.push(this);
}

window.prototype.addEvent = function(event){
  this.list.push(event);
}

window.prototype.renderList = function(){
  deletemejhg = false;
  WindowTheme.drawWindow(this.x, this.y, this.width, this.height);
  if(this.list.length!=0){
    for(z = 0; z < this.list.length; z++){
      this.list[z]();
    }
    if(deletemejhg){
      this.desktop.remWindow(this);
      deletemejhg = false;
    }
  }
}

//Keep in mind this stuff is completely separate from the windows, really.
//It's another proprietary thing, too.

function fieldset(){
  this.fields = new Array();
  this.focus = 0;
}

fieldset.prototype.tab = function(){
  this.focus++;
  if(this.focus >= this.fields.length) this.focus = 0;
}

fieldset.prototype.renderFields = function(){
  addition = "";
  for(i = 0; i < this.fields.length; i++){
    if(this.focus == i) addition = "_";
    FontTheme.drawText(this.fields[i].x(), this.fields[i].y(), this.fields[i].name + " " + this.fields[i].value + addition);
    addition = "";
  }
}

function field(name, x, y, value){
  this.name = name;
  this.value = value;
  this.x = x;
  this.y = y;
}