/////////////////////////////////////////////////////////////////////////////////////////////////
//    ____________    ___________    ___________     ________            ________   _____      //                                              
//   |            |  |           |  |   _____   |   |        |          |        | |     |     //        
//   |     __     |  |    __     |  |  |     |  |   |        |          |        | |/|   |     //  
//   |    (__)    |  |   (__)    |  |  |     |__|   |        |          |        |   |   |     //   
//   |            |  |           |  |  |            |   __   |    __    |   __   |   |   |     //       
//   |            |  |           |  |  |            |  |  |  |   |  |   |  |  |  |   |   |     //         
//   |        ____|  |    _______|  |  |  ______    |  |  |  |   |__|   |  |  |  |   |   |     //               
//   |   |\   \      |   |          |  | |___   |   |  |__|  |          |  |__|  |   |   |     //    
//   |   | \   \     |   |          |  |     |  |   |        |          |        |   |   |     //      
//   |   |  \   \    |   |          |  |     |  |   |        |          |        |   |   |     //        
//   |   |   \   \   |   |          |  |_____|  |   |        |          |        |  _|   |_    //      
//   |___|    \___\  |___|          |___________|   |________|          |________| |_______|   //                                           
//                                                                                             //
//    By Wild-Tiger, thanks for the help Wolf_Phantom!                                         //
/////////////////////////////////////////////////////////////////////////////////////////////////

EvaluateScript("globals.js");

//////////////////////////////////////////////////////////////////////////////////////////

function game()
{
  NewGame();
}

//////////////////////////////////////////////////////////////////////////////////////////


function NewGame()
{
  CreateInventory();
  CreateParty();

  BindKey(KEY_ESCAPE, 'MainMenu()', 't')
  CreatePerson("p1", "aegis.rss", false);
  AttachInput("p1");
  AttachCamera("p1");
  MapEngine("map.rmp", 60); 
  UnbindKey(KEY_ESCAPE)
}

//////////////////////////////////////////////////////////////////////////////////////////

function Text(txt,where)
{
  var textToDisplay = "";
  var time = GetTime();
  if(where == top)
  {
    var y = 16;
  }
  
  if(where == bottom)
  {
    var y = 175;
  }

  for(var i = 0; i < txt.length; i++)
  {
    time = GetTime();
    textToDisplay += txt.charAt(i);
    RenderMap();
    window.drawWindow(16,y,GetScreenWidth()-32,GetScreenHeight()-192);
    font.drawTextBox(16,y,GetScreenWidth()-32,GetScreenHeight()-192, 0, textToDisplay);
    FlipScreen();  
  
    if(textToDisplay.length == 150)
    {
      textToDisplay = "";
      GetKey();
      RenderMap();
      FlipScreen();
    }

    while(GetTime() - time < 25)
    {
      if(AreKeysLeft())
      {
        GetKey();
        break;
      }
    }
  }
  while(GetKey() != KEY_SPACE);
}


//////////////////////////////////////////////////////////////////////////////////////////
 
function dude()
{
  Text("Hi!!!",bottom);
}   

//////////////////////////////////////////////////////////////////////////////////////////