EvaluateSystemScript("colors.js");
EvaluateSystemScript("screen.js");
EvaluateSystemScript("oldsphere.js");

//////////////////////////////////////////////////////////////////////////////////////////

EvaluateScript("items.js");
EvaluateScript("item.js");
EvaluateScript("inventory.js");

EvaluateScript("randommove.js");
EvaluateScript("move.js");

EvaluateScript("menu.js");
EvaluateScript("menus.js");

EvaluateScript("person.js");

EvaluateScript("WP_Debug.js");

var G_Inv = new Inventory;
var G_Party = new Party;

//////////////////////////////////////////////////////////////////////////////////////////

var font       = LoadFont("font.rfn");
var window     = LoadWindowStyle("pine.rws");
var stopkey    = false;
var on         = "on"; 
var off        = "off";
var top        = "top";
var bottom     = "bottom";

//////////////////////////////////////////////////////////////////////////////////////////

var achest = new Array;
achest[0]  = "This chest is empty.";
achest[1]  = "You've found a potion!";

//////////////////////////////////////////////////////////////////////////////////////////

function CreateInventory()
{
//                  name           desc      inv     use       cost      \\
   G_Inv.addItem("potion",   "Hp + 50",       5,  usePotion,   10);
   G_Inv.addItem("remedy",   "Cures Illness", 2,  useRemedy,   15);
   G_Inv.addItem("antidote", "Cures Posion",  0,  useAntidote, 10);
   G_Inv.addItem("ether",    "Mp + 10",       1,  useEther,    15);
   
//                  name           desc           atk  inv  sort  cost   \\
   G_Inv.addWeapon("Equip Nothing","Equip Nothing", 0  ,1   ,0   ,  0);
   G_Inv.addWeapon("A Sword"      ,"A short sword",10  ,2   ,1   ,100);
   
//                  name           desc           def  inv  sort  cost   \\
   G_Inv.addArmor("Equip Nothing","Equip Nothing" ,0   ,1   ,0   , 0); 
   G_Inv.addArmor("Breast Plate","Breast Plate"   ,8   ,1   ,1   ,80);
}

//////////////////////////////////////////////////////////////////////////////////////////

function CreateParty()
{
  G_Party.addPerson("Aegis");
  G_Party.addPerson("John");
  G_Party.addPerson("Billy");
  
  for(var Lp0=0;Lp0<G_Party.members.length;++Lp0)
  {
    G_Party.members[Lp0].setCreated();
    G_Party.members[Lp0].setAlive();
  }
}

//////////////////////////////////////////////////////////////////////////////////////////

function t(){ /*Nothing goes here !!!*/   }

