function Inventory()
{
  this.items   = new Array;
  this.weapons = new Array;
  this.armor   = new Array;
}

//////////////////////////////////////////////////////////////////////////////////////////

Inventory.prototype.addItem = function(name,desc,inv,use)
{
  var i = this.items.push(new Item(name,desc,inv,use));
  this.items[i-1].sort = i;
}

//////////////////////////////////////////////////////////////////////////////////////////

Inventory.prototype.addWeapon = function(name,desc,atk,inv,sort,use)
{
  var i = this.weapons.push(new Weapon(name,desc,atk,inv,sort,use));
  this.weapons[i-1].sort = i;
}

//////////////////////////////////////////////////////////////////////////////////////////

Inventory.prototype.addArmor = function(name,desc,def,inv,sort)
{
  var i = this.armor.push(new Armor(name,desc,def,inv,sort));
  this.armor[i-1].sort = i;
}

//////////////////////////////////////////////////////////////////////////////////////////

Inventory.prototype.sortIndex = function(a,b)
{
  return (a.sort == b.sort) ? 0 : ( (a.sort < b.sort) ? -1 : 1 );
}

//////////////////////////////////////////////////////////////////////////////////////////

Inventory.prototype.itemMenuText = function(i)
{
  return this.items[i].name + "[" + this.items[i].inv + "]";
}

Inventory.prototype.armorMenuText = function(i)
{
  return this.armor[i].name + "[" + this.armor[i].inv + "]";
}

Inventory.prototype.weaponsMenuText = function(i)
{
  return this.weapons[i].name + "[" + this.weapons[i].inv + "]";
}


//////////////////////////////////////////////////////////////////////////////////////////