/* Copyright Tim Fitz aka FireMoth 
   [For comments to line up, use a fixed width font] 
   [I like Andale Mono] */
LineAATF = true; //Line Anti-aliasing true/false. [Lightning demo only]

EvaluateSystemScript("colors.js"); 
var Sin = Math.sin, Cos = Math.cos;
var OneDegree = Math.PI/180;

//This is a really nice FPS counter. I suggest you use it. Call it directly
//before FlipScreen() every frame.
var aFPS = new Array(), sysfnt = GetSystemFont();
sysfnt.setColorMask(CreateColor(255,255,255,192));
var FPSc = 0, FPSltime = GetTime();
function DrawFPS()
{
  var fps = 0;
  var ctime = GetTime()
  aFPS[FPSc] = ctime-FPSltime;
  FPSltime = ctime;
  FPSc++;
  if (FPSc>100) 
    FPSc=0;
  for (var n = 0; n<100; n++)
    fps+=aFPS[n];
  fps/=100; //Now we have average ms between frames.
  fps = 1000/fps;
  if (fps)
    sysfnt.drawText(GetScreenWidth()-sysfnt.getStringWidth("[FPS:"+Math.floor(fps)+"]"), GetScreenHeight()-sysfnt.getHeight(), "[FPS:"+Math.floor(fps)+"]");
  else
    sysfnt.drawText(GetScreenWidth()-sysfnt.getStringWidth("[FPS:-]"), GetScreenHeight()-sysfnt.getHeight(), "[FPS:-]");
}



function LineAA(sx, sy, ex, ey, c)
{
  Line(sx, sy, ex, ey, c);
  ca = CreateColor(c.red, c.green, c.blue, c.alpha/4);
  if (LineAATF)
  {
    Line(sx-1,sy,ex-1,ey,ca);
    Line(sx+1,sy,ex+1,ey,ca);
    Line(sx,sy+1,ex,ey+1,ca);
    Line(sx,sy-1,ex,ey-1,ca);
  }
}

EvaluateScript("SD1.js");
EvaluateScript("SD2.js");
EvaluateScript("SD3.js");
EvaluateScript("SD4.js");
EvaluateScript("SD5.js");

function game ()
{
  SDemoOne();
  SDemoTwo();
  SDemoThree();
  SDemoFour();
  SDemoFive();
}


function Sign(x) 
{
 if (x>0) return 1;
 else if (x<0) return -1;
 return 0;
}

function abs(n)
{
  if (n < 0) return -n;
  return n;
}

function Dist(x1, y1, x2, y2)
{
  deltax = abs(x1-x2);
  deltay = abs(y1-y2);
  return Math.sqrt( (deltax*deltax)+(deltay*deltay) ) * Sign(deltax+deltay);
}

function CalcAngle(x1, y1, x2, y2)
{
  var dx = x1-x2;
  var dy = y1-y2;
  return Math.tan(dy/dx);
}

/*
function Point2d(x,y) { 
  var n = new Object();
  n.x = x;
  n.y = y;
  return n;
}
 
function cTriangle(x1, y1, x2, y2, x3, y3, color) {
  this.a = Point2d(x1, y1);
  this.b = Point2d(x2, y2);
  this.c = Point2d(x3, y3);
  this.color = color;
  this.center = Point2d((x1+x2+x3)/3, (y1+y2+y3)/3)
}
  
cTriangle.prototype.draw = function () {
   with (this) {
    Triangle(a.x, a.y, b.x, b.y, c.x, c.y, color);
   }
} 


 Canned, might bring it back, might not.
function SDemoFour()
{
  Sphere Demo Four: Whatever happens, happens. 
  Currently canned :p 
  var aTrigs = new Array(); 
  var spacedown = false;
  aTrigs[0] = new cTriangle(0,0, 0,0, 0,0, CreateColor(0,0,255,192));
  aTrigs.push(new cTriangle(1,1, 100,100, 100,0, CreateColor(255,255,255)));
  while (!IsKeyPressed(KEY_ENTER)) {
    var mx = GetMouseX(), my = GetMouseY();
    if (IsKeyPressed(KEY_SPACE) && !spacedown) {          
      spacedown = true;
      aTrigs.push(new cTriangle(1,1, 0,100, 100,0, CreateColor(255,255,255,192)));
    }
    if (!IsKeyPressed(KEY_SPACE))
      spacedown = false;
    for (var n=0; n<aTrigs.length; n++)
      if (aTrigs[n])
        aTrigs[n].draw();
    DrawFPS();
    FlipScreen();
  }
}*/