function game(){
  CreatePerson("fenix", "fenix.rss", false);
  MapEngine("start.rmp", 60);
}

var ySpeed = 0;
var obstructed = false;
var jumpSpeed = 7;
var spaceWasPushed = false;
function Render(){
  //Catch Input and use it to move character
  if(IsKeyPressed(KEY_LEFT) && !IsKeyPressed(KEY_RIGHT)){
    QueuePersonCommand("fenix", COMMAND_FACE_WEST, true);
    QueuePersonCommand("fenix", COMMAND_MOVE_WEST, false);
    QueuePersonCommand("fenix", COMMAND_MOVE_WEST, true);
    if(IsKeyPressed(KEY_SHIFT))  QueuePersonCommand("fenix", COMMAND_MOVE_WEST, true);
  }
  if(IsKeyPressed(KEY_RIGHT) && !IsKeyPressed(KEY_LEFT)){
    QueuePersonCommand("fenix", COMMAND_FACE_EAST,true);
    QueuePersonCommand("fenix", COMMAND_MOVE_EAST, false);
    QueuePersonCommand("fenix", COMMAND_MOVE_EAST, true);
    if(IsKeyPressed(KEY_SHIFT))  QueuePersonCommand("fenix", COMMAND_MOVE_EAST, true);
  }
  //Exit Map Engine if KEY_ESCAPE is pushed (remove in final version);
  if(IsKeyPressed(KEY_ESCAPE)){
    ExitMapEngine();
  }
  //pause game routine...
  if(IsKeyPressed(KEY_ENTER)){
    Rectangle(0,0,GetScreenWidth(),GetScreenHeight(),CreateColor(0,0,0,128));
    FlipScreen();
    while(IsKeyPressed(KEY_ENTER)){ }
    while(!IsKeyPressed(KEY_ENTER)){ }
    while(IsKeyPressed(KEY_ENTER)){ }
  }
  if(IsKeyPressed(KEY_SPACE) && !spaceWasPushed && IsPersonObstructed("fenix", GetPersonX("fenix"), GetPersonY("fenix")+2)){
    spaceWasPushed = true;
    ySpeed = -jumpSpeed;
    if(IsKeyPressed(KEY_SHIFT)) ySpeed -= 2;
  }
  if(!IsKeyPressed(KEY_SPACE)){
    spaceWasPushed = false;
  }
      
  //now we check to see if the person has any ground ySpeed pixels below him
  if(!IsPersonObstructed("fenix", GetPersonX("fenix"), GetPersonY("fenix")+(ySpeed*2))){
    ySpeed += .25;
  }
  if(!IsPersonObstructed("fenix", GetPersonX("fenix"), GetPersonY("fenix"))) obstructed = false;
  if(IsPersonObstructed("fenix", GetPersonX("fenix"), GetPersonY("fenix"))){
    ySpeed = 0;
    obstructed = true;
  }
  if(obstructed){
    var below = GetPersonY("fenix");
    var above = GetPersonY("fenix");
    while(IsPersonObstructed("fenix", GetPersonX("fenix"), above)){
      above = ("fenix", (above+1));
    }
    while(IsPersonObstructed("fenix", GetPersonX("fenix"), below)){
      below = ("fenix", (below-1));
    }
    if(Math.abs(GetPersonY("fenix") - above) > Math.abs(GetPersonY("fenix") - below)){
      SetPersonY("fenix", below);
    } else {
      SetPersonY("fenix", above);
    }
  }

  SetPersonY("fenix", GetPersonY("fenix") + ySpeed);
  GetSystemFont().drawText(0,0,GetPersonX("fenix") + "," + GetPersonY("fenix"));
}