/*

  Menu.

*/

function menu()
{
  this.items=new Array();
  this.colour=new Array(CreateColor(0,0,255),    // UL
                        CreateColor(0,0,128),    // UR
                        CreateColor(0,0,96),     // DL
                        CreateColor(0,0,48));    // DR
     
  this.rWin.left=this.rWin.right=this.rWin.width=this.rWin.height=0;
  
  this.iCursor=GetSystemArrow();
  this.font=GetSystemFont();
  
  this.nCursory=0;
}

function menuitem(sName,pFunction)
{
  this.sName=sName;
  this.pFunction=pFunction;
}

menu.prototype.AddItem = function(sName,pFunction)
{
  items.push(new menuitem(sName,pFunction));
}

menu.prototype.Execute = function(x,y)
{
  rWin.left=x; rWin.right=y;
  rWin.width=x+100; rWin.height=y+100;  // TODO: blah

  bDone=false;
  while (!bDone)
  {
    Render();
    FlipScreen();
    
    
  }
}

menu.prototype.Render = function ()
{
  GradientRectangle(rWin.left,rWin.top,rWin.width,rWin.height,colour[0],colour[1],colour[2],colour[3]);
  
  for (i=0; i<items; i++)
    font.drawText(x,y,items[i].sName);
    
  iCursor.blit(x-iCursor.getWidth(),y+(nCursory*font.getHeight()));
}