function game(){
  var ca = new Array();
  for(var i = 0; i < 70; i++){
    ca[i] = new Object();
    ca[i].x = Math.random()*GetScreenWidth();
    ca[i].y = Math.random()*GetScreenHeight();
    ca[i].color = CreateColor(255,255,255);
    ca[i].radians = Math.random()*(Math.PI*2);
    ca[i].maxWidth = Math.abs(ca[i].x - GetScreenWidth()/2);
    ca[i].maxHeight = Math.abs(ca[i].y - GetScreenHeight()/2);
    ca[i].x = GetScreenWidth()/2;
    ca[i].y = GetScreenHeight()/2;
    ca[i].width = 0;
    ca[i].height = 0;
    ca[i].incW = ca[i].maxWidth/200;
    ca[i].incH = ca[i].maxHeight/200;
  }
  var x = GetScreenWidth()/2;
  var y = GetScreenHeight()/2;
  SetFrameRate(60);
  while(!IsKeyPressed(KEY_ESCAPE)){
    for(var i = 0; i < ca.length; i++){
      if(ca[i].width <= ca[i].maxWidth){
        ca[i].width += ca[i].incW;
      }
      if(ca[i].height <= ca[i].maxHeight){
        ca[i].height += ca[i].incH;
      }
      ca[i].radians += 0.1;
      if(ca[i].radians > Math.PI*2) ca[i].radians -= Math.PI*2;
      Point(ca[i].x + ca[i].width*Math.cos(ca[i].radians), ca[i].y + ca[i].height*Math.sin(ca[i].radians), ca[i].color);
    }
    FlipScreen();
  }
}

function particle(x, y, thingy){
  this.x = x;
  this.y = y;
  this.red = false;
  this.green = false;
  this.blue = false;
  
  this.blit = function blit(x, y){
//    eval(this.script);
    Point(x, y, this.color);
  }
  
  switch(thingy){
    case("red"):
      this.color = CreateColor(255,0,0);
      this.script = "";
      break;
    case("green"):
      this.color = CreateColor(0,255,0);
      this.script = "";
      break;
    case("blue"):
      this.color = CreateColor(0,0,255);
      this.script = "";
      break;
    case("fade"):
      this.color = CreateColor(85, 170, 255);
      this.scrips = 
      "this.red?this.color.red++:this.color.red--; " +
      "this.green?this.color.green++:this.color.green--" +
      "this.blue?this.color.blue++:this.color.blue--;" +
      "this.color.red >= 255 ? this.red = false;" +
      "this.color.red <= 0 ? this.red = true;" +
      "this.color.green >= 255 ? this.green = false;" +
      "this.color.green <= 0 ? this.green = true;" +
      "this.color.blue >= 255 ? this.blue = false;" +
      "this.color.blue <= 0 ? this.blue = true;";
      break;
  }
}