function Item(name,desc,inv,use,cost)
{
  this.name = name;
  this.desc = desc;
  this.inv  = inv;
  this.sort = 0;
  this.use  = use;
  this.cost = cost;
}

//////////////////////////////////////////////////////////////////////////////////////////

function reduceItem(i)
{
  --G_Inv.items[i].inv;
}

function reduceArmor(i)
{
  --G_Inv.armor[i].inv;
}

function reduceWeapon(i)
{
  --G_Inv.weapons[i].inv;
}

//////////////////////////////////////////////////////////////////////////////////////////

function useItem(a)
{
  var itemOption = ItemOptionMenu();
  if(itemOption == "use")
  {
    var memberIndex = PersonMenu();
  
    if(memberIndex != undefined)
    {  
      G_Inv.items[a[0]].use(a[0],memberIndex);
    }
  }
  else if(itemOption == "drop")
    reduceItem(a[0]);
}  

function useArmor(a)
{
  var itemOption = ItemOptionMenu();
  if(itemOption == "use")
  {
    var memberIndex = PersonMenu();
  
    if(memberIndex != undefined)
    {  
      G_Inv.armor[a[0]].use(a[0],memberIndex);
    }
  }
  else if(itemOption == "drop")
    reduceArmor(a[0]);
}  

function useWeapon(a)
{
  var itemOption = ItemOptionMenu();
  if(itemOption == "use")
  {
    var memberIndex = PersonMenu();
  
    if(memberIndex != undefined)
    {  
      G_Inv.weapons[a[0]].use(a[0],memberIndex);
    }
  }
  else if(itemOption == "drop")
    reduceWeapon(a[0]);
}  

//////////////////////////////////////////////////////////////////////////////////////////

function usePotion(itemIndex, memberIndex)
{
  reduceItem(itemIndex);
}

//////////////////////////////////////////////////////////////////////////////////////////

function useRemedy(itemIndex, memberIndex)
{
  reduceItem(itemIndex);
}

//////////////////////////////////////////////////////////////////////////////////////////

function useAntidote(itemIndex, memberIndex)
{
  reduceItem(itemIndex);
}

//////////////////////////////////////////////////////////////////////////////////////////

function useEther(itemIndex, memberIndex)
{
  reduceItem(itemIndex);
}

//////////////////////////////////////////////////////////////////////////////////////////