function SDemoTwo()
{
  /* Sphere Demo Two: The hidden power of fonts. */
  /* NOTE: There are known compatability issues with sphere_gl. Sorry folks, but GrabImage and opengl 
     highly dislike eachother. */
  var str = "FireMoth" //Just in case you don't love me, you can change it.
  var font = GetSystemFont(); //font for usage with text fx
  var sfont = GetSystemFont(); //font for the top text.
  var strw = font.getStringWidth(str);
  var strh = font.getHeight();
  var fx = (GetScreenWidth() - strw) / 2;
  var fy = (GetScreenHeight() - strh) / 2;
  var cx = GetScreenWidth()/2;
  var cy = GetScreenHeight()/2;
  var iF; //Image version of el texto.
  var step = 0, click = 0;
  var clickspeed = 1;
  var paused = false;
  Rectangle(0, 0, GetScreenWidth(), GetScreenHeight(), CreateColor(0, 0, 0)); //Clear the backbuffer.
  font.drawText(0, 0, str);
  iF = GrabImage(0, 0, strw, strh); //Blit and capture.
  var precomp = false;
  while (!IsKeyPressed(KEY_ENTER)) {
    switch (step) {
      case 0:
        //iF.scaleBlit(fx, fy, 
        var nx = click/255*strw, ny = click/255*strh;
        iF.transformBlitMask(fx - nx, fy - ny, fx + strw + nx, fy - ny, fx + strw + nx, fy + strh + ny, fx - nx, fy + strh + ny, CreateColor(255, 0, 0, 255-click));
        font.setColorMask(CreateColor(255, 255, 255, 127));
        font.drawText(fx, fy, str);
        break;        
      case 1:
        //SOHCAHTOA :p
        //Busted. Talk to ak. Check math. usawk.
        //Won't work in sphere_gl, [GrabImage]
        //Won't work in standardxx, [transformBlit is crap]
        //iF.scaleBlit(fx, fy,
        var crad = click/255*Math.PI*2; 
        var nx=strw, ny=strh;       
        var x1 = fx - nx;        var y1 = fy - ny;
        var x2 = fx + strw + nx; var y2 = fy - ny;
        var x3 = fx + strw + nx; var y3 = fy + strh + ny;
        var x4 = fx - nx;        var y4 = fy + strh + ny;
        var oa1 = CalcAngle(cx, cy, x1, y1); //Math.tan((cy-y1)/(x1-cx));
        var oa2 = CalcAngle(cx, cy, x2, y2); //Math.tan((cy-y2)/(x2-cx));
        var oa3 = CalcAngle(cx, cy, x3, y3); //Math.tan((cy-y3)/(x3-cx));
        var oa4 = CalcAngle(cx, cy, x4, y4); //Math.tan((cy-y4)/(x4-cx));                        
        var d1 = Dist(cx, cy, x1, y1);
        var d2 = Dist(cx, cy, x2, y2);
        var d3 = Dist(cx, cy, x3, y3);
        var d4 = Dist(cx, cy, x4, y4);
        x1 = -Sin(oa1+crad)*d1+cx;    y1 = Cos(oa1+crad)*d1+cy;
        x2 = -Sin(oa2+crad)*d2+cx;    y2 = Cos(oa2+crad)*d2+cy;
        x3 = -Sin(oa3+crad)*d3+cx;    y3 = Cos(oa3+crad)*d3+cy;
        x4 = -Sin(oa4+crad)*d4+cx;    y4 = Cos(oa4+crad)*d4+cy;       
        iF.transformBlit(x1, y1, x2, y2, x3, y3, x4, y4); //, CreateColor(0, 255, 0, 192));
        sfont.drawText(x1,y1, "1");
        sfont.drawText(x2,y2, "2");
        sfont.drawText(x3,y3, "3");        
        sfont.drawText(x4,y4, "4");        
        Point(x1, y1, White); Point(x2, y2, White);
        Point(x3, y3, White); Point(x4, y4, White);
        font.setColorMask(CreateColor(255, 255, 255, 127));
        font.drawText(fx, fy, str);
        break;        
    }
    if (!paused) 
      click += clickspeed;
    if (click > 255) {
      click = 0;
      step++;
      precomp = false;
      if (step > 1) 
        step = 0;
    }
    while (AreKeysLeft()) {
      switch (GetKey()) {
        case KEY_UP: clickspeed+=1/5; break;
        case KEY_DOWN: clickspeed-=1/5; break;
      }
    }
    sfont.drawText(0, 0, "[Enter to continue] SD2S"+step+": Hidden power of fonts");
    sfont.drawText(0, 10, "["+Math.floor(x1)+","+Math.floor(y1)+"]");
    sfont.drawText(0, 20, "["+Math.floor(x2)+","+Math.floor(y2)+"]");
    sfont.drawText(0, 30, "["+Math.floor(x3)+","+Math.floor(y3)+"]");
    sfont.drawText(0, 40, "["+Math.floor(x4)+","+Math.floor(y4)+"]");
    DrawFPS();    
    FlipScreen(); 
  }
  while (IsKeyPressed(KEY_ENTER))
    FlipScreen();
}
