EvaluateScript("system.js");

// Talk script.
var TalkSpeechBox;
var TalkPortrait;


function PTalk(person, text)
{
  SetFrameRate(60);

  var displayLineA = "";
  var displayLineB = "";
  var displayLineC = "";
  var count = 0;
  var background = GrabImage(0, 0, 320, 200);
  var lineCount = 1;

  var done = false;
  
  // break the text into 3 lines...
  while(!done)
  {
    var pLine;
    var pWord;
    var pNewLine = false;
    switch(lineCount)
    {
      case 1: pLine = displayLineA; break;
      case 2: pLine = displayLineB; break;
      case 3: pLine = displayLineC; break;
      default: pLine = "";
    }
    
    pWord = "";
    while (text.charAt(count) != " " && count < text.length)
    { 
      pWord += text.charAt(count); 
      count++; 
    }
    if (system_font_big.getStringWidth(pLine + pWord) > 302 && system_font_big.getStringWidth(pWord) < 302)
    {
      // ignore the word and fill it into the next line
      count -= pWord.length; pNewLine = true;
    }
    else 
      pLine += pWord;  
    
    pWord = "";
    while (text.charAt(count) == " " && count < text.length)
    {
      pWord += text.charAt(count);
      count++;
    }
    if (system_font_big.getStringWidth(pLine + pWord) > 302 && system_font_big.getStringWidth(pWord) < 302)
    {
      // ignore the "space" word and fill it into the next line
      count -= pWord.length; pNewLine = true;
    }
    else
      pLine += pWord;

    switch(lineCount)
    {
      case 1: displayLineA = pLine; break;
      case 2: displayLineB = pLine; break;
      case 3: displayLineC = pLine; break;
      default: pLine = "";
    }
    
    if (pNewLine) lineCount++;
    if (count >= text.length) done = true;
  }

  // display the text  
  count = 0;
  while(AreKeysLeft()) GetKey();
  while(!AreKeysLeft())
  {
    background.blit(0, 0);
    count += 1;
    system_window.drawWindow(6, 136, 308, 58);    
    
    system_font_big.drawText(10, 139, displayLineA.slice(0, count));
    if (count >= displayLineA.length)
      system_font_big.drawText(10, 158, displayLineB.slice(0, count - displayLineA.length));
    if (count >= displayLineA.length + displayLineB.length)
      system_font_big.drawText(10, 177, displayLineC.slice(0, count - displayLineA.length - displayLineB.length));
    FlipScreen();
    
    Delay(2);
  }


  SetFrameRate(0);
  // keep a picture of the background into the drawing buffer
  background.blit(0, 0);
}