var cTextBox = LoadImage("cTextBox.png");
cTextBox.ox=-8;
cTextBox.oy=-8;

function TextBox (x,y,w,greytext,font,fontcolor,bgcolor)
{
  Skeleton.call(this);
  this.x=x;
  this.y=y;
  this.w=w;
  this.font=font;
  this.text="";
  this.bgcolor=bgcolor;
  this.greytext=greytext;
  this.hilight=CreateColor(160,160,160);
  this.lolight=CreateColor(0,0,0);
  this.tempmc=false;
  this.mouseCursor=cTextBox;
  if (!bgcolor) this.bgcolor=CreateColor(255,255,255);
  this.fontColor=fontcolor;
  if (!font) this.font=GetSystemFont();
  if (!fontcolor) this.fontColor=CreateColor(0,0,0);
  this.font.setColorMask(this.fontColor);
  this.h=this.font.getHeight()+4;
}

TextBox.prototype = new Skeleton();

TextBox.prototype._mouseOver = function ()
{
  mouse.img=cTextBox;
}

TextBox.prototype._keyPress = function (key)
{
  if (key==KEY_BACKSPACE) this.text=this.text.substring(0,this.text.length-1);
  else if (key==KEY_ENTER && this.onEnter) this.onEnter();
  else this.text+=GetKeyString(key, IsKeyPressed(KEY_SHIFT))
}

TextBox.prototype.draw = function ()
{
  with (this)
  {
     px=plotx(0);
     py=ploty(0);8     
     if (!focus)
     {
        Rectangle(px,py,w,h,bgcolor);
        font.setColorMask(fontColor);
        Line(px+w,py,px+w,py+h,hilight);
        Line(px,py+h,px+w,py+h,hilight); 
        Line(px,py,px,py+h,lolight);
        Line(px,py,px+w,py,lolight); 
     }
     else
     {
       Line(px+w,py,px+w,py+h,lolight);
       Line(px,py+h,px+w,py+h,lolight); 
       Line(px,py,px,py+h,hilight);
       Line(px,py,px+w,py,hilight); 
       font.setColorMask(bgcolor);
       Rectangle(px,py,w,h,fontColor);
     }
     if (text=="")
     {
       font.setColorMask(CreateColor(127,127,127));
       font.drawText(px+w/2-font.getStringWidth(greytext)/2,py+2,greytext);
     }
     else if (font.getStringWidth(text)<w-2) font.drawText(px+2,py+2,text);
     else
     {
       SetClippingRectangle(px,py,w,h);
       font.drawText(px-font.getStringWidth(text)-2+w,py+2,text);
       SetClippingRectangle(0,0,GetScreenWidth(),GetScreenHeight());
     }
  }
}